Retrieves a list of data products
curl --request GET \
--url https://api.example.com/api/dataproduct \
--header 'Authorization: Bearer <token>'import requests
url = "https://api.example.com/api/dataproduct"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://api.example.com/api/dataproduct', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
[
{
"name": "<string>",
"role_name": "<string>",
"query": "<string>",
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"is_view": true,
"created_at": "2023-11-07T05:31:56Z",
"created_by": "<string>",
"external_id": "<string>"
}
]{
"error": "<string>",
"code": 500
}Data API
Retrieves a list of data products
Retrieves a list of available data products for the specified user roles.
GET
/
api
/
dataproduct
Retrieves a list of data products
Authorizations
OAuth2AuthorizationCodeBearerAPIKeyHeader
The access token received from the authorization server in the OAuth 2.0 flow.
Response
Retrieved views successfully.
Name of the view.
Role associated with this view.
SQL query or definition of the view.
Unique ID of the view.
Flag indicating if this record is a view.
The view creation timestamp.
The view creator's email address or identifier.
Optional external identifier for the view.
Was this page helpful?

